import { TraceOptions } from './connection';
import { LanguageHandler } from './lang-handler';
export interface ServeOptions extends TraceOptions {
    clusterSize: number;
    lspPort: number;
    strict?: boolean;
    trace?: boolean;
    logfile?: string;
}
/**
 * serve starts a singleton language server instance that uses a
 * cluster of worker processes to achieve some semblance of
 * parallelism.
 */
export declare function serve(options: ServeOptions, newLangHandler: () => LanguageHandler): Promise<void>;
